using System.Text.Json.Serialization;

namespace ReportingServices.Shared.Models.ProductionReport
{
    public class ToolStateCurrent
    {
        [JsonPropertyName("Tool")]
        public string Tool { get; set; }
        [JsonPropertyName("TranTime")]
        public string TranTime { get; set; }
        [JsonPropertyName("GanttEndTime")]
        public string GanttEndTime { get; set; }
        [JsonPropertyName("GanttElapsedHours")]
        public string GanttElapsedHours { get; set; }
        [JsonPropertyName("BasicStateDescription")]
        public string BasicStateDescription { get; set; }
        [JsonPropertyName("SubState")]
        public string SubState { get; set; }
        [JsonPropertyName("ReactorStatus")]
        public string ReactorStatus { get; set; }
        [JsonPropertyName("Comment")]
        public string Comment { get; set; }

    }
}
